Bug 1566840 - dnf autoremove does not work as expected
Summary: dnf autoremove does not work as expected
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 05:55 UTC by Tomasz Kłoczko
Modified: 2018-04-13 08:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 05:57:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Kłoczko 2018-04-13 05:55:40 UTC
On my system "dnf autoremove" shows only one package which potentially can be removed:

# dnf autoremove
Last metadata expiration check: 1:01:59 ago on Fri 13 Apr 2018 05:44:21 BST.
Dependencies resolved.
=========================================================================================================================================================================
 Package                                  Arch                                  Version                                    Repository                               Size
=========================================================================================================================================================================
Removing:
 os-prober                                x86_64                                1.74-6.fc28                                @rawhide                                104 k

Transaction Summary
=========================================================================================================================================================================
Remove  1 Package

Freed space: 104 k


However when I'm trying to check list of the packages which are not required by any other packages list is way longer and at least some of those packages really make sense to remove.
Cannot find description of the rules used by dnf to classify exact package as potentially removable.


# for i in $(rpm -qa | sort); do if [ "$(rpm -e --test $i 2>&1)" == "" ]; then echo $i; fi; done
abrt-cli-2.10.8-2.fc29.x86_64
acl-2.2.52-21.fc29.x86_64
acpi-1.7-9.fc28.x86_64
acpid-2.0.28-7.fc28.x86_64
acpitool-0.5.1-16.fc28.x86_64
alacarte-3.11.91-10.fc28.noarch
alsa-plugins-pulseaudio-1.1.6-2.fc29.x86_64
aspell-devel-0.60.6.1-21.fc29.x86_64
aspell-en-2017.08.24-2.fc28.x86_64
aspell-pl-6.0_20061121-17.fc28.x86_64
atmel-firmware-1.3-18.fc28.noarch
attr-2.4.47-23.fc28.x86_64
audit-libs-devel-2.8.3-3.fc29.x86_64
autofs-5.1.4-16.fc29.x86_64
avahi-gobject-devel-0.7-12.fc29.x86_64
basesystem-11-5.fc28.noarch
bash-completion-2.7-4.fc29.noarch
bind-chroot-9.11.3-7.fc29.x86_64
bind-utils-9.11.3-7.fc29.x86_64
binutils-devel-2.30-14.fc29.x86_64
biosdevname-0.7.3-1.fc29.x86_64
bison-3.0.4-9.fc28.x86_64
btrfs-progs-devel-4.16-2.fc29.x86_64
byacc-1.9.20170709-4.fc28.x86_64
cheese-3.28.0-1.fc29.x86_64
chrony-3.3-1.fc29.x86_64
cifs-utils-6.8-1.fc29.x86_64
cjkuni-uming-fonts-0.2.20080216.1-60.fc28.noarch
clang-devel-6.0.0-5.fc29.x86_64
clinfo-2.2.17.10.25-2.fc28.x86_64
colord-devel-1.4.2-1.fc29.x86_64
community-mysql-devel-5.7.21-6.fc29.x86_64
community-mysql-server-5.7.21-6.fc29.x86_64
compiler-rt-6.0.0-2.fc29.x86_64
cracklib-dicts-2.9.6-13.fc29.x86_64
crash-7.2.1-2.fc29.x86_64
cryptopp-6.1.0-2.fc29.x86_64
cryptsetup-2.0.2-2.fc29.x86_64
cscope-15.8b-7.fc28.x86_64
csmock-2.1.0-2.fc28.noarch
cu-1.07-55.fc29.x86_64
cups-devel-2.2.7-1.fc29.x86_64
cups-filesystem-2.2.7-1.fc29.noarch
cvs-1.11.23-46.fc28.x86_64
cyrus-sasl-lib-debuginfo-2.1.27-0.1rc7.fc29.x86_64
cyrus-sasl-md5-2.1.27-0.1rc7.fc29.x86_64
cyrus-sasl-plain-2.1.27-0.1rc7.fc29.x86_64
cyrus-sasl-scram-2.1.27-0.1rc7.fc29.x86_64
dconf-devel-0.28.0-1.fc29.x86_64
dconf-editor-3.28.0-1.fc29.x86_64
dejagnu-1.6.1-2.fc28.noarch
dejavu-sans-fonts-2.35-6.fc28.noarch
dejavu-serif-fonts-2.35-6.fc28.noarch
deltarpm-3.6-25.fc28.x86_64
device-mapper-devel-1.02.146-5.fc29.x86_64
dia-0.97.3-9.fc28.x86_64
diffstat-1.61-6.fc28.x86_64
dnf-yum-2.7.5-10.fc29.noarch
dos2unix-7.4.0-2.fc28.x86_64
doxygen-1.8.14-2.fc28.x86_64
dracut-config-rescue-047-8.git20180305.fc29.x86_64
e2fsprogs-devel-1.44.1-1.fc29.x86_64
edk2-ovmf-20171011git92d07e4-5.fc29.noarch
enca-1.19-1.fc29.x86_64
enscript-1.6.6-15.fc28.x86_64
eog-plugin-exif-display-3.26.2-1.fc29.x86_64
eosrei-emojione-fonts-1.0-6.fc28.noarch
espeak-1.48.04-13.fc28.x86_64
esptool-2.3.1-1.fc29.noarch
evemu-2.7.0-5.fc29.x86_64
evince-djvu-3.28.0-1.fc28.x86_64
evince-nautilus-3.28.0-1.fc28.x86_64
evolution-devel-3.28.1-2.fc29.x86_64
evolution-help-3.28.1-2.fc29.noarch
exif-0.6.21-13.fc28.x86_64
exiv2-0.26-9.fc28.x86_64
fedora-arm-installer-2.1-2.fc28.noarch
fedora-release-server-29-0.2.noarch
festival-speechtools-devel-1.2.96-37.fc28.x86_64
file-devel-5.32-4.fc29.x86_64
file-roller-3.28.0-1.fc29.x86_64
firefox-58.0.2-1.fc28.x86_64
flac-devel-1.3.2-6.fc28.x86_64
flute-1.3.0-18.OOo31.fc28.noarch
folks-devel-0.11.4-5.fc28.x86_64
fontpackages-devel-1.44-20.fc28.noarch
fpaste-0.3.9.1-3.fc28.noarch
fprintd-pam-0.8.0-3.fc28.x86_64
fuse-devel-2.9.7-12.fc29.x86_64
gcc-gdb-plugin-8.0.1-0.21.fc29.x86_64
gc-devel-7.6.4-3.fc29.x86_64
GConf2-devel-3.2.6-20.fc29.x86_64
gdb-8.1-14.fc29.x86_64
gd-devel-2.2.5-3.fc29.x86_64
gedit-3.28.1-1.fc29.x86_64
genisoimage-1.1.11-38.fc28.x86_64
geoclue2-devel-2.4.7-4.fc28.x86_64
GeoIP-devel-1.6.12-3.fc28.x86_64
ghostscript-core-9.23-1.fc29.x86_64
ghostscript-x11-9.23-1.fc29.x86_64
gimp-data-extras-2.0.2-17.fc28.noarch
gjs-devel-1.52.1-1.fc29.x86_64
glibc-all-langpacks-2.27.9000-14.fc29.x86_64
glibc-langpack-en-2.27.9000-14.fc29.x86_64
glibc-langpack-pl-2.27.9000-14.fc29.x86_64
glibc-utils-2.27.9000-14.fc29.x86_64
glusterfs-client-xlators-4.0.1-2.fc29.x86_64
gmime-2.6.23-5.fc28.x86_64
gnome-autoar-devel-0.2.3-1.fc29.x86_64
gnome-backgrounds-3.28.0-1.fc29.noarch
gnome-bluetooth-libs-devel-3.28.0-1.fc29.x86_64
gnome-calculator-3.28.1-1.fc29.x86_64
gnome-classic-session-3.28.0-1.fc29.noarch
gnome-clocks-3.28.0-1.fc29.x86_64
gnome-color-manager-3.28.0-1.fc29.x86_64
gnome-common-3.18.0-5.fc28.noarch
gnome-contacts-3.28.0-1.fc29.x86_64
gnome-dictionary-3.26.1-2.fc28.x86_64
gnome-font-viewer-3.28.0-1.fc29.x86_64
gnome-getting-started-docs-3.28.1-1.fc29.noarch
gnome-icon-theme-extras-3.12.0-7.fc28.noarch
gnome-icon-theme-symbolic-3.12.0-7.fc28.noarch
gnome-initial-setup-3.28.0-1.fc28.x86_64
gnome-screensaver-3.6.1-20.fc28.x86_64
gnome-screenshot-3.26.0-3.fc28.x86_64
gnome-settings-daemon-devel-3.28.0-2.fc29.x86_64
gnome-shell-extension-activities-configurator-63-1.fc29.noarch
gnome-shell-extension-auto-move-windows-3.28.0-1.fc29.noarch
gnome-shell-extension-calc-0-0.13.gite4f4ac5.fc28.noarch
gnome-shell-extension-drive-menu-3.28.0-1.fc29.noarch
gnome-shell-extension-gpaste-3.28.1-1.fc29.noarch
gnome-shell-extension-panel-osd-1-0.24.20170308gite35e98c.fc28.noarch
gnome-shell-extension-pidgin-1.0.3-2.fc28.noarch
gnome-shell-extension-pomodoro-0.13.4-3.fc28.x86_64
gnome-shell-extension-simple-dock-0.1-0.20150505git25c94bc.fc28.5.noarch
gnome-system-log-3.9.90-11.fc28.x86_64
gnome-terminal-nautilus-3.27.4-1.fc29.x86_64
gnome-weather-3.26.0-4.fc28.noarch
gnu-free-mono-fonts-20120503-17.fc28.noarch
gnu-free-sans-fonts-20120503-17.fc28.noarch
gnu-free-serif-fonts-20120503-17.fc28.noarch
gnupg2-smime-2.2.6-1.fc29.x86_64
google-chrome-stable-65.0.3325.181-1.x86_64
google-crosextra-caladea-fonts-1.002-0.10.20130214.fc28.noarch
google-crosextra-carlito-fonts-1.103-0.8.20130920.fc28.noarch
gparted-0.31.0-1.fc29.x86_64
gperf-3.1-5.fc28.x86_64
gperftools-devel-2.6.90-1.fc29.x86_64
gpg-pubkey-429476b4-5a886537
gpg-pubkey-7fac5991-4615767f
gpg-pubkey-9db62fb1-59920156
gpg-pubkey-d38b4796-570c8cd3
gpg-pubkey-df7587c3-576a5c23
gpm-devel-1.20.7-15.fc29.x86_64
groff-1.22.3-15.fc29.x86_64
grub2-efi-x64-2.02-33.fc29.x86_64
grub2-efi-x64-modules-2.02-33.fc29.noarch
grub2-pc-2.02-33.fc29.x86_64
grub2-tools-efi-2.02-33.fc29.x86_64
grubby-8.40-12.fc29.x86_64
gsoap-devel-2.8.60-3.fc28.x86_64
gstreamer1-devel-1.14.0-1.fc29.x86_64
gstreamer-plugins-bad-free-0.10.23-45.fc28.x86_64
gstreamer-plugins-good-0.10.31-20.fc27.x86_64
gtk-doc-1.28-1.fc29.x86_64
gucharmap-10.0.4-1.fc29.x86_64
gvfs-afc-1.36.1-1.fc29.x86_64
gvfs-afp-1.36.1-1.fc29.x86_64
gvfs-archive-1.36.1-1.fc29.x86_64
gvfs-goa-1.36.1-1.fc29.x86_64
gvfs-gphoto2-1.36.1-1.fc29.x86_64
gvfs-mtp-1.36.1-1.fc29.x86_64
hamcrest-core-1.3-23.fc28.noarch
hardlink-1.3-6.fc28.x86_64
hdparm-9.54-1.fc29.x86_64
hmaccalc-0.9.14-10.fc28.x86_64
httpd-devel-2.4.33-2.fc29.x86_64
hunspell-devel-1.6.2-2.fc29.x86_64
hunspell-en-GB-0.20140811.1-11.fc28.noarch
hwloc-1.11.9-1.fc29.x86_64
i2c-tools-eepromer-4.0-5.fc29.x86_64
ibus-hangul-1.5.0-12.fc28.x86_64
ibus-rawcode-1.3.2-12.fc28.x86_64
ibus-sayura-1.3.2-13.fc28.x86_64
ibus-table-chinese-1.8.2-9.fc28.noarch
ibus-wayland-1.5.18-4.fc29.x86_64
indent-2.2.11-24.fc28.x86_64
intltool-0.51.0-11.fc28.noarch
iotop-0.6-16.fc28.noarch
iowatcher-1.2.0-5.fc29.x86_64
iproute-tc-4.15.0-1.fc28.x86_64
iprutils-2.4.15.1-4.fc29.x86_64
iptstate-2.2.6-6.fc29.x86_64
ipvsadm-1.29-8.fc29.x86_64
ipw2100-firmware-1.3-22.fc28.noarch
ipw2200-firmware-3.1-15.fc28.noarch
irqbalance-1.3.0-2.fc28.x86_64
iso-codes-devel-3.77-2.fc28.noarch
istack-commons-buildtools-2.21-8.fc28.noarch
istack-commons-runtime-2.21-8.fc28.noarch
istack-commons-soimp-2.21-8.fc28.noarch
istack-commons-tools-2.21-8.fc28.noarch
iwl1000-firmware-39.31.5.1-83.fc29.1.noarch
iwl100-firmware-39.31.5.1-83.fc29.1.noarch
iwl105-firmware-18.168.6.1-83.fc29.1.noarch
iwl135-firmware-18.168.6.1-83.fc29.1.noarch
iwl2000-firmware-18.168.6.1-83.fc29.1.noarch
iwl2030-firmware-18.168.6.1-83.fc29.1.noarch
iwl3160-firmware-25.30.13.0-83.fc29.1.noarch
iwl3945-firmware-15.32.2.9-83.fc29.1.noarch
iwl4965-firmware-228.61.2.24-83.fc29.1.noarch
iwl5000-firmware-8.83.5.1_1-83.fc29.1.noarch
iwl5150-firmware-8.24.2.2-83.fc29.1.noarch
iwl6000-firmware-9.221.4.1-83.fc29.1.noarch
iwl6000g2a-firmware-18.168.6.1-83.fc29.1.noarch
iwl6000g2b-firmware-18.168.6.1-83.fc29.1.noarch
iwl6050-firmware-41.28.5.1-83.fc29.1.noarch
iwl7260-firmware-25.30.13.0-83.fc29.1.noarch
java-1.8.0-openjdk-devel-1.8.0.162-5.b12.fc29.x86_64
joe-4.6-3.fc28.x86_64
jomolhari-fonts-0.003-24.fc28.noarch
jq-1.5-12.fc29.x86_64
js-1.8.5-31.fc29.x86_64
jwhois-4.0-53.fc29.x86_64
kbd-2.0.4-5.fc28.x86_64
kernel-4.15.0-1.fc28.x86_64
kernel-4.17.0-0.rc0.git7.1.fc29.x86_64
khmeros-base-fonts-5.0-24.fc28.noarch
krb5-libs-debuginfo-1.16-21.fc29.x86_64
ksh-20120801-246.fc29.x86_64
ladvd-1.1.1-5.fc28.x86_64
latencytop-common-0.5-21.fc29.x86_64
ldns-1.7.0-16.fc29.x86_64
ledmon-0.90-1.fc29.x86_64
lftp-4.8.3-2.fc28.x86_64
libacl-devel-2.2.52-21.fc29.x86_64
libaio-devel-0.3.111-1.fc29.x86_64
libblkid-devel-2.32-4.fc29.x86_64
libcap-debuginfo-2.25-10.fc29.x86_64
libcap-devel-2.25-10.fc29.x86_64
libcap-ng-devel-0.7.9-1.fc28.x86_64
libchamplain-devel-0.12.16-2.fc28.x86_64
libclc-devel-0.2.0-9.git1cb3fbf.fc27.x86_64
libcom_err-debuginfo-1.44.1-1.fc29.x86_64
libcroco-devel-0.6.12-4.fc28.x86_64
libcurl-debuginfo-7.59.0-3.fc29.x86_64
libdwarf-devel-20180129-4.fc28.x86_64
liberation-mono-fonts-2.00.1-2.fc29.noarch
liberation-sans-fonts-2.00.1-2.fc29.noarch
liberation-serif-fonts-2.00.1-2.fc29.noarch
libertas-usb8388-firmware-20180402-83.git8c1e439c.fc29.noarch
libevdev-devel-1.5.9-3.fc29.x86_64
libevent-devel-2.1.8-2.fc28.x86_64
libexif-devel-0.6.21-16.fc28.x86_64
libgcc-debuginfo-8.0.1-0.21.fc29.x86_64
libgnome-keyring-devel-3.12.0-14.fc29.x86_64
libgpiod-utils-1.0-1.fc28.x86_64
libhugetlbfs-utils-2.20-6.fc28.x86_64
libid3tag-0.15.1b-28.fc29.x86_64
libidn2-debuginfo-2.0.4-7.fc29.x86_64
libidn-devel-1.34-1.fc29.x86_64
libmad-0.15.1b-24.fc28.x86_64
libmetalink-devel-0.1.3-6.fc28.x86_64
libmtp-devel-1.1.14-3.fc28.x86_64
libnghttp2-debuginfo-1.31.0-2.fc29.x86_64
libnghttp2-devel-1.31.0-2.fc29.x86_64
libnice-gstreamer1-0.1.14-5.20171128gitfb2f1f7.fc29.x86_64
libomxil-bellagio-devel-0.9.3-15.fc27.x86_64
libpsl-debuginfo-0.20.1-1.fc29.x86_64
libpsl-devel-0.20.1-1.fc29.x86_64
libpst-devel-0.6.71-7.fc28.x86_64
libquadmath-devel-8.0.1-0.21.fc29.x86_64
librdmacm-16.2-3.fc28.x86_64
libreoffice-calc-6.0.3.2-2.fc29.x86_64
libreoffice-filters-6.0.3.2-2.fc29.x86_64
libreoffice-gtk3-6.0.3.2-2.fc29.x86_64
libreoffice-impress-6.0.3.2-2.fc29.x86_64
libreofficekit-6.0.3.2-2.fc29.x86_64
libreoffice-langpack-en-6.0.3.2-2.fc29.x86_64
libreoffice-math-6.0.3.2-2.fc29.x86_64
libreoffice-writer-6.0.3.2-2.fc29.x86_64
libreoffice-xsltfilter-6.0.3.2-2.fc29.x86_64
librsvg2-devel-2.42.3-1.fc29.x86_64
libselinux-debuginfo-2.7-13.fc29.x86_64
libserf-devel-1.3.9-7.fc29.x86_64
libsigsegv-devel-2.11-5.fc28.x86_64
libsrtp-devel-1.5.4-7.fc28.x86_64
libssh2-devel-1.8.0-7.fc28.x86_64
libssh-debuginfo-0.7.5-8.fc29.x86_64
libtool-ltdl-devel-2.4.6-23.fc29.x86_64
libunistring-debuginfo-0.9.9-1.fc29.x86_64
libunistring-devel-0.9.9-1.fc29.x86_64
libva-devel-2.1.0-1.fc28.x86_64
libvdpau-devel-1.1.1-7.fc28.x86_64
libvncserver-devel-0.9.11-6.fc29.x86_64
libvorbis-devel-1.3.6-1.fc29.x86_64
libvpx-devel-1.7.0-5.fc28.x86_64
libwacom-devel-0.29-1.fc29.x86_64
libXaw-devel-1.0.13-8.fc28.x86_64
libxcrypt-debuginfo-4.0.0-5.fc28.x86_64
libXScrnSaver-devel-1.2.2-14.fc28.x86_64
libxslt-devel-1.1.32-2.fc28.x86_64
lightdm-gobject-devel-1.25.2-1.fc29.x86_64
linux-firmware-20180402-83.git8c1e439c.fc29.noarch
lklug-fonts-0.6-17.20090803cvs.fc28.noarch
lldpad-1.0.1-9.git036e314.fc28.x86_64
lldpd-0.9.8-2.fc28.x86_64
llvm-devel-6.0.0-11.fc29.x86_64
lm_sensors-3.4.0-10.fc29.x86_64
lohit-assamese-fonts-2.91.5-3.fc28.noarch
lohit-bengali-fonts-2.91.5-3.fc28.noarch
lohit-devanagari-fonts-2.95.4-3.fc28.noarch
lohit-gujarati-fonts-2.92.4-3.fc28.noarch
lohit-gurmukhi-fonts-2.91.2-3.fc28.noarch
lohit-kannada-fonts-2.5.4-3.fc28.noarch
lohit-malayalam-fonts-2.92.2-3.fc28.noarch
lohit-marathi-fonts-2.94.2-4.fc29.noarch
lohit-nepali-fonts-2.94.2-3.fc28.noarch
lohit-odia-fonts-2.91.2-3.fc28.noarch
lohit-tamil-fonts-2.91.3-3.fc28.noarch
lohit-telugu-fonts-2.5.5-3.fc28.noarch
lshw-B.02.18-16.fc29.x86_64
lsof-4.90-1.fc29.x86_64
ltrace-0.7.91-24.fc27.x86_64
lua-devel-5.3.4-10.fc28.x86_64
lz4-devel-1.8.1.2-4.fc28.x86_64
lzip-1.20-1.fc28.x86_64
madan-fonts-2.000-20.fc28.noarch
makeself-2.3.1-1.fc28.noarch
man-pages-4.15-1.fc28.noarch
mc-4.8.20-3.fc29.x86_64
mcelog-153-1.fc28.x86_64
meanwhile-1.1.0-22.fc27.x86_64
mecab-devel-0.996-2.fc28.x86_64
mesa-dri-drivers-18.0.0-4.fc29.x86_64
mesa-libGLES-devel-18.0.0-4.fc29.x86_64
meson-0.45.1-1.fc29.noarch
metacity-3.28.0-1.fc29.x86_64
microcode_ctl-2.1-22.fc29.x86_64
minicom-2.7.1-6.fc29.x86_64
mlocate-0.26-20.fc28.x86_64
mousetweaks-3.12.0-9.fc29.x86_64
mtdev-devel-1.1.5-12.fc28.x86_64
mtr-0.92-1.fc28.x86_64
mutter-devel-3.28.0-1.fc29.x86_64
nano-2.9.5-1.fc29.x86_64
nautilus-devel-3.28.1-1.fc29.x86_64
nautilus-sendto-3.8.6-2.fc29.x86_64
naver-nanum-gothic-fonts-3.020-20.20140930.fc28.noarch
netcf-libs-0.2.8-9.fc29.x86_64
net-snmp-5.7.3-37.fc29.x86_64
net-snmp-devel-5.7.3-37.fc29.x86_64
net-snmp-utils-5.7.3-37.fc29.x86_64
net-tools-2.0-0.49.20160912git.fc28.x86_64
NetworkManager-config-server-1.10.6-1.fc29.noarch
NetworkManager-libnm-devel-1.10.6-1.fc29.x86_64
NetworkManager-tui-1.10.6-1.fc29.x86_64
nfs4-acl-tools-0.3.3-22.fc27.x86_64
nfs-utils-2.3.1-7.rc1.fc29.x86_64
nginx-1.12.1-5.fc28.x86_64
nmap-7.70-1.fc29.x86_64
noip-2.1.9-24.fc27.x86_64
ntpdate-4.2.8p11-2.fc29.x86_64
numactl-2.0.11-9.fc29.x86_64
numactl-devel-2.0.11-9.fc29.x86_64
numad-0.5-24.20150602git.fc27.x86_64
OpenIPMI-devel-2.0.24-4.fc29.x86_64
openldap-debuginfo-2.4.46-1.fc29.x86_64
openrdate-1.2-12.fc28.x86_64
open-sans-fonts-1.10-6.fc27.noarch
openssl-libs-debuginfo-1.1.0h-3.fc29.x86_64
openssl-pkcs11-0.4.7-6.fc29.x86_64
oprofile-1.2.0-5.fc28.x86_64
opus-devel-1.3-0.4.beta.fc29.x86_64
opusfile-0.10-3.fc29.x86_64
osinfo-db-tools-1.1.0-5.fc28.x86_64
os-prober-1.74-6.fc28.x86_64
overpass-fonts-3.0.2-3.fc28.noarch
p7zip-16.02-11.fc29.x86_64
PackageKit-1.1.9-4.fc29.x86_64
PackageKit-gstreamer-plugin-1.1.9-4.fc29.x86_64
PackageKit-gtk3-module-1.1.9-4.fc29.x86_64
paktype-naskh-basic-fonts-4.1-9.fc28.noarch
pam-devel-1.3.0-10.fc28.x86_64
pam_krb5-2.4.13-10.fc29.x86_64
parallel-20160722-5.fc28.noarch
paratype-pt-sans-fonts-20141121-6.fc28.noarch
passwdqc-1.3.0-11.fc28.x86_64
patchutils-0.3.4-10.fc28.x86_64
pciutils-devel-3.5.6-4.fc29.x86_64
pcre2-debuginfo-10.31-4.fc29.x86_64
pcre-debuginfo-8.42-1.fc29.x86_64
perl-generators-1.10-7.fc28.noarch
pesign-0.112-22.fc28.x86_64
php-devel-7.2.5~RC1-1.fc29.x86_64
php-fpm-7.2.5~RC1-1.fc29.x86_64
php-json-7.2.5~RC1-1.fc29.x86_64
php-mysqlnd-7.2.5~RC1-1.fc29.x86_64
php-theseer-directoryscanner-1.3.2-3.fc28.noarch
php-zetacomponents-console-tools-1.7-7.fc28.noarch
picocom-3.1-2.fc28.x86_64
pinentry-1.1.0-3.fc29.x86_64
pinfo-0.6.10-17.fc28.x86_64
polari-3.28.0-1.fc29.x86_64
postgresql-docs-10.3-1.fc29.x86_64
postgresql-server-10.3-1.fc29.x86_64
protobuf-c-1.3.0-4.fc28.x86_64
pulseaudio-libs-devel-11.1-19.fc29.x86_64
pulseaudio-module-x11-11.1-19.fc29.x86_64
python2-devel-2.7.14-15.fc29.x86_64
python3-devel-3.6.5-1.fc29.x86_64
qpdf-libs-8.0.2-1.fc29.x86_64
qt5-qtbase-devel-5.10.1-7.fc29.x86_64
qt5-qtdeclarative-5.10.1-5.fc29.x86_64
rcs-5.9.4-5.fc26.x86_64
readline-devel-7.0-10.fc29.x86_64
rest-devel-0.8.1-2.fc28.x86_64
rng-tools-6.1-4.fc28.x86_64
rootfiles-8.1-22.fc28.noarch
rpm-plugin-systemd-inhibit-4.14.1-8.fc28.x86_64
rsync-3.1.3-3.fc28.x86_64
rsyslog-8.34.0-1.fc29.x86_64
screen-4.6.2-3.fc28.x86_64
SDL2-2.0.8-4.fc29.x86_64
SDL-devel-1.2.15-31.fc29.x86_64
setserial-2.17-43.fc29.x86_64
sg3_utils-1.42-4.fc28.x86_64
sharutils-4.15.2-10.fc29.x86_64
sil-abyssinica-fonts-1.200-13.fc28.noarch
sil-nuosu-fonts-2.1.1-14.fc28.noarch
sil-padauk-fonts-3.002-3.fc28.noarch
skypeforlinux-8.18.0.6-1.x86_64
slang-devel-2.3.2-2.fc29.x86_64
smartmontools-6.6-4.fc29.x86_64
smc-fonts-common-6.1-9.fc28.noarch
smp_utils-0.98-11.fc28.x86_64
snapper-0.5.4-3.fc28.x86_64
snappy-devel-1.1.7-5.fc28.x86_64
solaar-0.9.2-4.20150528gitcf27328.fc29.9.noarch
speech-dispatcher-devel-0.8.8-5.fc29.x86_64
spice-server-0.14.0-4.fc28.x86_64
spice-vdagent-0.17.0-6.fc28.x86_64
startup-notification-devel-0.12-15.fc28.x86_64
strace-4.22-1.fc29.x86_64
subversion-1.9.7-7.fc29.x86_64
sushi-3.24.0-4.fc28.x86_64
symlinks-1.4-17.fc28.x86_64
syslinux-extlinux-6.04-0.8.fc28.x86_64
systemd-libs-debuginfo-238-7.fc29.x86_64
tcl-devel-8.6.8-1.fc29.x86_64
tcpdump-4.9.2-3.fc28.x86_64
telepathy-rakia-0.8.0-10.fc29.x86_64
telnet-0.17-72.fc28.x86_64
texinfo-6.5-4.fc29.x86_64
texlive-tetex-20170520-27.fc29.noarch
tftp-server-5.2-24.fc28.x86_64
thai-scalable-fonts-common-0.6.4-2.fc28.noarch
timedatex-0.5-3.fc28.x86_64
tmpwatch-2.11-12.fc28.x86_64
totem-nautilus-3.26.0-7.fc28.x86_64
trace-cmd-2.7-2.fc29.x86_64
traceroute-2.1.0-6.fc28.x86_64
tree-1.7.0-14.fc29.x86_64
trousers-0.3.13-10.fc28.x86_64
trousers-devel-0.3.13-10.fc28.x86_64
uboot-images-armv7-2018.05-0.1.rc1.fc29.noarch
uboot-images-armv8-2018.05-0.1.rc1.fc29.noarch
uClibc-devel-0.9.33.2-17.fc28.x86_64
unixODBC-devel-2.3.5-3.fc29.x86_64
upower-devel-0.99.7-3.fc28.x86_64
usbutils-009-2.fc28.x86_64
v8-devel-6.2.91-5.fc28.x86_64
vala-devel-0.40.3-1.fc29.x86_64
vim-enhanced-8.0.1679-1.fc29.x86_64
vte291-devel-0.52.1-1.fc29.x86_64
vulkan-1.1.70.0-1.fc29.x86_64
whois-5.3.0-2.fc28.x86_64
wireless-tools-29-18.1.fc28.x86_64
words-3.0-28.fc28.noarch
xalan-c-devel-1.11.0-13.fc28.x86_64
xdg-user-dirs-gtk-0.10-13.fc28.x86_64
xerces-c-devel-3.2.1-1.fc29.x86_64
xfce4-appfinder-4.12.0-9.fc28.x86_64
xfce4-notifyd-0.4.2-2.fc29.x86_64
xfce4-power-manager-1.6.1-2.fc28.x86_64
xfce4-screenshooter-1.9.1-1.fc29.x86_64
xfce4-session-engines-4.12.1-14.fc29.x86_64
xfce4-taskmanager-1.2.0-5.fc28.x86_64
xfce4-terminal-0.8.7.3-2.fc29.x86_64
xfce4-xkb-plugin-0.8.1-2.fc28.x86_64
xfdesktop-4.12.4-4.fc28.x86_64
xmlto-0.0.28-6.fc28.x86_64
xorg-x11-drv-evdev-2.10.5-6.fc29.x86_64
xorg-x11-drv-intel-2.99.917-36.20171025.fc29.x86_64
xorg-x11-drv-libinput-0.27.1-1.fc29.x86_64
xorg-x11-drv-qxl-0.1.5-8.fc29.x86_64
xorg-x11-drv-v4l-0.2.0-52.fc29.x86_64
xorg-x11-drv-wacom-devel-0.36.1-3.fc29.x86_64
xorg-x11-utils-7.5-28.fc29.x86_64
xorg-x11-xkb-extras-7.7-24.fc29.x86_64
zabbix-agentd-3.4.8-1.fc29.x86_64
zabbix-agentd-debuginfo-3.4.8-1.fc29.x86_64
zabbix-debuginfo-3.4.8-1.fc29.x86_64
zabbix-frontend-php-3.4.8-1.fc29.x86_64
zabbix-get-3.4.8-1.fc29.x86_64
zabbix-proxy-3.4.8-1.fc29.x86_64
zabbix-sender-3.4.8-1.fc29.x86_64
zabbix-server-3.4.8-1.fc29.x86_64
zlib-debuginfo-1.2.11-7.fc29.x86_64

Comment 1 Igor Gnatenko 2018-04-13 05:57:56 UTC
it means that all those packages were installed as part of group or manually.

Comment 2 Marek Blaha 2018-04-13 08:42:54 UTC
Yes. For clarification: there are two conditions checked to find out, whether package can be autoremoved:

1. it is a leaf package (no other package depends on it)
2. it was installed as a dependency (not manually nor as part of a group)


Note You need to log in before you can comment on or make changes to this bug.